%define name ksynaptics
%define version 0.3.3
%define release %mkrel 4

Summary:	KDE configuration for synaptics module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		System/Configuration/Hardware
URL:		http://kde-apps.org/content/show.php?content=17286
BuildRequires:	kdelibs-devel >= 3.0
Buildrequires:	synaptics-devel
Requires:  	kdebase-progs >= 3.0
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}-buildroot
Source0:	%{name}-%{version}.tar.bz2

%define __libtoolize /bin/true

%description
KSynaptics (previously QSynaptics) is a Qt/KDE based configuration
utility for the synaptics touchpad drivers. It uses the
synclient/syndaemon tools delivered by the X11 driver, which is
available under http://w1.894.telia.com/~u89404340/touchpad/

%prep 
%setup -q

%build
%configure_kde3 --disable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang kcm%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif


%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f kcm%{name}.lang
%defattr(-,root,root,755)
%doc AUTHORS COPYING INSTALL README TODO
%{_kde3_bindir}/syndock
%{_kde3_libdir}/*.so
%{_kde3_libdir}/*.la
%{_kde3_libdir}/kde3/*
%{_kde3_datadir}/autostart/*.desktop
%{_kde3_datadir}/applications/kde/*.desktop
%{_kde3_datadir}/config.kcfg/*.kcfg
%{_kde3_iconsdir}/hicolor/*/apps/*.png


%changelog
* Fri Sep 19 2008 Funda Wang <fundawang@mandriva.org> 0.3.3-4mdv2009.0
+ Revision: 285956
- switch to /opt

* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.3-3mdv2009.0
+ Revision: 240939
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 29 2007 Funda Wang <fundawang@mandriva.org> 0.3.3-1mdv2008.0
+ Revision: 45626
- New version


* Sat Feb 10 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.2-1mdv2007.0
+ Revision: 118698
- New Version: 0.3.2

* Wed Jan 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.1-2mdv2007.1
+ Revision: 109689
- Rebuild against new libsynaptics

* Sat Jul 08 2006 Luca Berra <bluca@mandriva.org> 0.3.1-1mdv2007.0
+ Revision: 38455
- remove old patches
- New upstream version 0.3.1
- import ksynaptics-0.2.0-2mdk

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.2.0-2mdk
- %%{1}mdv2007.1
- fix x86_64 build

* Wed Feb 23 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- 0.2.0

* Wed Aug 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- from Lonnie Borntreger <cooker@borntreger.com> :
	- First package
	- Create menu file for update-menus
	- Added scaled icons

